Bug 882475 - Review Request: cas-client - Jasig CAS Client for Java
Review Request: cas-client - Jasig CAS Client for Java
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michal Srb
Fedora Extras Quality Assurance
:
Depends On: 882474
Blocks: 882477
  Show dependency treegraph
 
Reported: 2012-12-01 03:59 EST by gil cattaneo
Modified: 2013-06-29 14:02 EDT (History)
3 users (show)

See Also:
Fixed In Version: cas-client-3.2.1-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-26 21:55:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
msrb: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2012-12-01 03:59:08 EST
Spec URL: http://gil.fedorapeople.org/cas-client.spec
SRPM URL: http://gil.fedorapeople.org/cas-client-3.2.1-1.fc16.src.rpm
Description:
Jasig CAS Client for Java is the integration point for applications that
want to speak with a CAS server, either via the CAS 1.0 or CAS 2.0 protocol.
Fedora Account System Username: gil
Comment 1 gil cattaneo 2013-05-12 07:10:13 EDT
Spec URL: http://gil.fedorapeople.org/cas-client.spec
SRPM URL: http://gil.fedorapeople.org/cas-client-3.2.1-2.fc18.src.rpm

- disable tomcat6 module
Comment 2 Michal Srb 2013-06-03 08:05:15 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in cas-client-
     javadoc
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Large documentation must go in a -doc subpackage.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Java:
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local
[x]: Fully versioned dependency in subpackages, if present.
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
[x]: Bundled jar/class files should be removed before build

Maven:
[x]: Pom files have correct Maven mapping
     Note: Some add_maven_depmap calls found. Please check if they are correct
     or update to latest guidelines
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: cas-client-3.2.1-2.fc20.noarch.rpm
          cas-client-javadoc-3.2.1-2.fc20.noarch.rpm
cas-client.noarch: E: explicit-lib-dependency tomcat-lib
cas-client.noarch: W: spelling-error Summary(en_US) Jasig -> Assign
cas-client.noarch: W: spelling-error %description -l en_US Jasig -> Assign
2 packages and 0 specfiles checked; 1 errors, 2 warnings.

this is OK



Rpmlint (installed packages)
----------------------------
# rpmlint cas-client cas-client-javadoc
cas-client.noarch: E: explicit-lib-dependency tomcat-lib
cas-client.noarch: W: spelling-error Summary(en_US) Jasig -> Assign
cas-client.noarch: W: spelling-error %description -l en_US Jasig -> Assign
2 packages and 0 specfiles checked; 1 errors, 2 warnings.
# echo 'rpmlint-done:'

this is OK


Requires
--------
cas-client (rpmlib, GLIBC filtered):
    apache-commons-codec
    ehcache-core
    java
    joda-time
    jpackage-utils
    opensaml-java
    opensaml-java-openws
    opensaml-java-xmltooling
    springframework-beans
    spymemcached
    tomcat-lib
    tomcat-servlet-3.0-api
    xml-security

cas-client-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils



Provides
--------
cas-client:
    cas-client
    mvn(org.jasig.cas.client:cas-client)
    mvn(org.jasig.cas.client:cas-client-core)
    mvn(org.jasig.cas.client:cas-client-integration-tomcat-common)
    mvn(org.jasig.cas.client:cas-client-integration-tomcat-v7)
    mvn(org.jasig.cas.client:cas-client-support-distributed-ehcache)
    mvn(org.jasig.cas.client:cas-client-support-distributed-memcached)

cas-client-javadoc:
    cas-client-javadoc



Source checksums
----------------
http://www.apache.org/licenses/LICENSE-2.0.txt :
  CHECKSUM(SHA256) this package     : cfc7749b96f63bd31c3c42b5c471bf756814053e847c10f3eb003417bc523d30
  CHECKSUM(SHA256) upstream package : cfc7749b96f63bd31c3c42b5c471bf756814053e847c10f3eb003417bc523d30
http://downloads.jasig.org/cas-clients/cas-client-3.2.1-release.tar.gz :
  CHECKSUM(SHA256) this package     : 42bab432096a9a0ea03e90c7d726eebe5e26130ee136ca4ce4cb2de2700d26db
  CHECKSUM(SHA256) upstream package : 42bab432096a9a0ea03e90c7d726eebe5e26130ee136ca4ce4cb2de2700d26db


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 882475

The package looks good.

APPROVED
Comment 3 gil cattaneo 2013-06-03 08:24:45 EDT
Thanks!

New Package SCM Request
=======================
Package Name: cas-client
Short Description: Jasig CAS Client for Java
Owners: gil
Branches: f18 f19 f20
InitialCC: java-sig
Comment 4 Jon Ciesla 2013-06-03 09:31:20 EDT
Git done (by process-git-requests).

Don't request f20, devel is automatic.
Comment 5 Fedora Update System 2013-06-13 05:37:03 EDT
cas-client-3.2.1-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/cas-client-3.2.1-2.fc19
Comment 6 Fedora Update System 2013-06-13 14:09:02 EDT
cas-client-3.2.1-2.fc19 has been pushed to the Fedora 19 testing repository.
Comment 7 Fedora Update System 2013-06-17 13:52:00 EDT
cas-client-3.2.1-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/cas-client-3.2.1-2.fc18
Comment 8 Fedora Update System 2013-06-26 21:55:29 EDT
cas-client-3.2.1-2.fc18 has been pushed to the Fedora 18 stable repository.
Comment 9 Fedora Update System 2013-06-29 14:02:01 EDT
cas-client-3.2.1-2.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.